﻿using System;
using System.Diagnostics;
using System.Runtime.InteropServices;
using System.Threading;
using excel = Microsoft.Office.Interop.Excel;

class Program
{
    static void Main(string[] args)
    {
        AppDomain tempDomain = AppDomain.CreateDomain("temp_excel");
        tempDomain.DoCallBack(() => ExcelTest());
        AppDomain.Unload(tempDomain);

        // ExcelTest();

        Thread t = new Thread(excelExeCheckFunc);
        t.IsBackground = true;
        t.Start();

        Console.WriteLine("Press any key to exit...");
        Console.ReadLine();
    }
    private static void ExcelTest()
    {
        excel.Application excelApp = new excel.Application();
        excel.Workbook wb = excelApp.Workbooks.Add(Type.Missing);
        excel.Sheets sheets = wb.Worksheets;
        excel.Worksheet ws = (excel.Worksheet)wb.ActiveSheet;
        excel.Range cells = ws.Cells;

        excel.Range rng = ws.Cells.Range[cells[1, 1], cells[3 * (3 + 2) + 4, 20]];

        excelApp.Quit();
    }

    private static void excelExeCheckFunc()
    {
        while (true)
        {
            Console.WriteLine("Excel: " + Process.GetProcessesByName("excel").Length);
            Thread.Sleep(3000);
        }
    }
}
